Bug 111904 - zfcp: error recovery stall in case of unavailable nameserver
Summary: zfcp: error recovery stall in case of unavailable nameserver
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 3.0
Hardware: s390 Linux
low
high
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-11 14:59 UTC by Ingolf Salm
Modified: 2007-11-30 22:06 UTC (History)
4 users (show)

Fixed In Version: U2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-13 20:08:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ingolf Salm 2003-12-11 14:59:51 UTC
Description of problem:

symptom: modprobe hangs if nameserver port is inaccessible
problem: error recovery is infinitely waiting for the completion of 
the "nameserver open" action which was not issued at all because the 
nameserver port was already known to be inaccessible and thus had 
been marked as failed
solution: fail "open port" action immediately if issueing on "open 
nameserver port" action is not possible though required

Comment 1 Ingolf Salm 2003-12-17 16:41:34 UTC
based on discussions with Martin Peschke, I lowered the priority

Comment 2 Pete Zaitcev 2004-01-13 04:42:55 UTC
Ingolf, please add LTC number. I am unable to identify this problem
by reading descriptions on DeveloperWorks.


Comment 3 Ingolf Salm 2004-01-16 14:29:34 UTC
LTC number is 3615

Comment 4 Bob Johnson 2004-01-16 14:33:35 UTC
Ingolf - does Pete have access to that number and the issue behind it ?
If not please post a copy here, thanks.


Comment 5 Pete Zaitcev 2004-01-16 15:29:46 UTC
Bob, I do not have access, but LTC numbers are used by DeveloperWorks,
so it is sufficient to identify patches from that source.

It would be nice if Ingolf attached them, but hey... whatever works.

I'll integrate and post today or on Monday, depending how well
they build.


Comment 6 Ingolf Salm 2004-01-16 15:43:48 UTC
Pete,
if it helps, I can add the LTC bugzillas to the Red Hat bugzillas. 
That would be easier, instead of adding the whole patch to RH 
bugzilla. By the way Bob should have a table that give the 
references. 

Bob for your information: with the LTC bugzillas or the RH bugzilla 
summary you can easily identify our patches at developer works.
This problem is part of August code drop at 
http://www10.software.ibm.com/developerworks/opensource/linux390/linux
-2.4.21-s390-04-june2003.shtml. If you follow that link, you will 
find a short problem description and a tar file, that holds the per-
problem patches. 


Comment 7 Pete Zaitcev 2004-01-16 20:44:23 UTC
This is strange. I am sure I folded LTC 3615 into the bug 104460,
so this should be resolved in GA (even before U1 !). It was a
part of "the 38". I'll investigate further in a moment.

Comment 8 Pete Zaitcev 2004-02-13 18:05:50 UTC
There's no doubt that LTC 3615 is fixed long ago.
I am marking this modified in 2.4.21-9.EL.
Ingolf, please confirm and close.


Comment 9 Martin Peschke 2004-02-13 19:10:02 UTC
Bug was fixed with zfcp version 3.157.6.4, while 2.4.21-9.EL uses zfcp
version 3.157.6.5. Apart from that version number, this RHEL kernel
actually carries along the modification comprising the fix. Please close.

Comment 10 Ernie Petrides 2005-10-06 01:44:08 UTC
This was fixed in RHEL3 U1.


Note You need to log in before you can comment on or make changes to this bug.